block_portlet_id = $("#new_portlet_form_inline").closest(".block_portlets").data('block_id');

$("#new_portlet_form_inline").replaceWith("<%= escape_javascript(render(@portlet)) %>");




$("#collapse3 .trash").attr("href", $("#portlet_<%= @portlet.id %>").data("show-link"));

update_block_portlet_order(block_portlet_id);
//$.ajax({url : $("#portlet_<%= @portlet.id %>").data("edit-link"), type: "GET"});


cancel_move_portlet();
unselect_portlet();


disable_portlet_select = false;
reset_form_change();

<%= flash_js %>